Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/hudwidget.cpp File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
hudwidget.cpp File Reference
`#include <QAction>`
`#include <QApplication>`
`#include <QComboBox>`
`#include <QDialogButtonBox>`
`#include <QGridLayout>`
`#include <QGroupBox>`
`#include <QHBoxLayout>`
`#include <QHeaderView>`
`#include <QLineEdit>`
`#include <QPainter>`
`#include <QPaintEvent>`
`#include <QRadioButton>`
`#include <QSpacerItem>`
`#include <QVBoxLayout>`
`#include "movement.h"`
`#include "research.h"`
`#include "tile.h"`
`#include "unit.h"`
`#include "unitlist.h"`
`#include "client_main.h"`
`#include "text.h"`
`#include "fc_client.h"`
`#include "fonts.h"`
`#include "hudwidget.h"`
`#include "sprite.h"`

Go to the source code of this file.

## Functions

const char * | calendar_text (void)
bool | goto_is_active (void)
static QString | popup_terrain_info (struct tile *ptile)
bool | has_player_unit_type (Unit_type_id utype)
void | show_new_turn_info ()

## Function Documentation

## ◆ calendar_text()

const char * calendar_text | ( | void |  | ) |

Produce a statically allocated textual representation of the current calendar time.

Definition at line 141 of file calendar.c.

Referenced by api_methods_game_year_text(), get_info_label_text(), get_info_label_text_popup(), get_report_title(), historian_generic(), img_new(), log_civ_score_now(), report_achievements(), report_demographics(), send_year_to_clients(), show_new_turn_info(), fc_client::update_info_label(), and update_info_label().

## ◆ goto_is_active()

bool goto_is_active | ( | void |  | ) |

Is goto state active?

Definition at line 1056 of file goto.c.

Referenced by do_unit_goto(), enter_goto_state(), exit_goto_state(), fill_sprite_array(), goto_add_waypoint(), goto_fill_parameter_full(), goto_get_turns(), goto_pop_waypoint(), goto_tile_state(), goto_unit_killed(), is_valid_goto_draw_line(), request_unit_connect(), request_unit_goto(), request_unit_patrol(), send_connect_route(), send_goto_route(), send_patrol_route(), map_view::shortcut_pressed(), map_view::shortcut_released(), and unit_actions::update_actions().

## ◆ has_player_unit_type()

bool has_player_unit_type | ( | Unit_type_id | utype | ) |

Returns true if player has any unit of unit_type

Definition at line 60 of file hudwidget.cpp.

Referenced by unit_hud_selector::unit_hud_selector(), and mr_menu::update_airlift_menu().

## ◆ popup_terrain_info()

QString popup_terrain_info | ( | struct tile * | ptile | ) |

static

Tooltip text for terrain information

Definition at line 1617 of file hudwidget.cpp.

Referenced by hud_units::update_actions().

## ◆ show_new_turn_info()

void show_new_turn_info | ( |  | ) |

Shows new turn information with big font

Definition at line 1659 of file hudwidget.cpp.

Referenced by qtg_start_turn(), and fc_client::switch_page().